package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :工序输出
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@Entity
@Table(name = "APS_OPER_OUTPUT")
@Api("工序输出")
public class OperOutput extends BaseAPS {
    @Column(name="output_Count")
    @ApiParam(value ="输出数量")
    private Double outputCount;

    @Column(name="yield")
    @ApiParam(value ="成品率")
    private Double yield;

    @Column(name="fix_Scrap_Count")
    @ApiParam(value ="固定报废数")
    private Double fixScrapCount;
}
